<?php

namespace App\Classes\Modules\Steps\Standards\Validators;

use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\Orders\DataTransferObjects\OrderObject;

class CreateStepValidation extends AbstractValidation
{
    /**
     * @param OrderObject $object
     * @return array
     */
    protected function data($object): array
    {
        return [];
    }

    /**
     * @param string $type
     * @return array
     */
    protected function rules(?string $type = 'POST'): array
    {
        if ($type == 'POST') {
            return [];
        } elseif ($type == 'PUT') {
            return [
                'id' => 'required'
            ];
        }
    }

    /**
     * @return array
     */
    protected function messages(): array
    {
        return [];
    }
}
